Subject: acka-research-digest V3 #193
From: [email-masked] (acka-research-digest)
To: [email-masked]

acka-research-digest    Wednesday, August 19 1998    Volume 03 : Number 193

----------------------------------------------------------------------

Date: Wed, 19 Aug 1998 00:56:49 -0400 (EDT)
From: K2 <[email-masked]>
Subject: Re: Acka: Swing!

Duncan Richer wrote:

> Swingpoints awarded for the fortnight ending 17th August 1998:

And thus the swingpoint distribution is:     
     Vynd has 1
     Balsamic Dragon has 2
     ThinMan has 3
     two-star has 3
     Treasure 226 has 3
     breadbox has 4
     IbiotBoy has 4
     Fortunato has 5
     Treasure 194 has 5
     Calvin N Hobbes has 6
     Tin Observer has 6
     The Twits has 6
     Guy Fawkes has 6
     Karma has 6
     K 2 has 7
     JT has 9
     The Church of banna has 10
     Treasury has 12
     Mr. Tambourine Man has 25
     Slakko has 30
     Red Barn has 32
     Koxvolio has 42
     Alfvaen has 55
     Niccolo Flychuck has 57
     /dev/joe has 81

K 2

------------------------------

Date: Wed, 19 Aug 1998 18:48:49 -0400 (EDT)
From: Brian Raiter <[email-masked]>
Subject: Re: Acka: Proposal 3451

>> Proposal 3451
>> What You'll Find When You Open Up Your Letterbox Tomorrow
>> breadbox (Brian Raiter)
>> 
>> {{[Rules 370 and 422 have become rather haphazard by now. This
>> proposal moves all player duties and restrictions into Rule 370, and
>> all Postmaster duties and privileges into Rule 422. The definitions
>> regarding the Postal Code are placed into a new Rule 370.1.
> 
> This reminds me.  Would it be possible for the backup list at
> makelist.com to be added to the list of public fora in the Postal
> Code?

Mmmm... I would rather not make it a public forum unless I had the
ability to maintain it. If I officially recognize it as a public
forum, then it sort of becomes my responsibility to ensure that all
active players are in fact subscribed to it. OTOH, part of its raison
d'etre is to be there in case something happens to me.

I am certainly willing to help maintain it, but I think it works best
if it stays "outside" of the rules. As long as every active player is
in fact subscribed to it, then anything sent to it will be a public
message.

breadbox

------------------------------

Date: Wed, 19 Aug 1998 18:59:13 -0400 (EDT)
From: Brian Raiter <[email-masked]>
Subject: Re: Acka: CFCJ 173 (fwd)

>> So does this mean that if muppetlabs is out for a week, all
>> Officers with stuff to do will be forced to violate speed because
>> there is no other way to publicly distribute stuff?

Absolutely not - all they need is a list of the email addresses of all
active players. Now if muppetlabs.com goes down at the same time as
JT's AND K 2's pages, we might have a problem....

> Rule 422 states "A message is a public message if and only if it is
> distributed to all active Players or it is sent to any mailing list
> indicated as a public forum in the Postal Code, and any actions
> performed in the message obey all restrictions of the Postal Code for
> that list."
> 
> So if all active players were subscribed to _any_ mailing list, even
> acka-research(I believe), then any message on there would be a public
> message.

A message is a public message if it sent to a mailing list marked as a
public forum by the Postal Code. This is actually true regardless of
whether all active players are subscribed to a list or not (though it
is my responsibility to see to it that they are). However, no actions
(which includes Officer reports) can be done via acka-research.

breadbox

------------------------------

Date: Wed, 19 Aug 1998 20:30:09 -0400 (EDT)
From: JT <[email-masked]>
Subject: Re: Acka: Proposal 3408 accepted

On Wed, 19 Aug 1998, nomicbot wrote:

>Results of Proposal 3408
>
>20/26 votes: Quorum achieved
>19/20 YES votes: Proposal accepted
>
>
>    ABSTAINED:
>Calvin N Hobbes      (Harf)
>Niccolo Flychuck     (MetaMorph)
>ThinMan              (Vulcan)
>Fortunato
>JT                   (Boomerangs)
>Studge

Breadbox, I know I voted on this proposal.  I'm not sure why my vote got
listed as abstained.  While it didn't make any difference on this
proposal, it might on some of the future ones today if there are any
number of them.
Please see if you can find my votes (since I voted through the web form I
don't have any record of them on my machine.)

- --JT

[-------------------------------------------------------------------------]
[ Practice random kindness and senseless acts of beauty.                  ]
[ It's hard to seize the day when you must first grapple with the morning ]
[-------------------------------------------------------------------------]

------------------------------

Date: Wed, 19 Aug 1998 20:55:14 -0400 (EDT)
From: Brian Raiter <[email-masked]>
Subject: Re: Acka: Proposal 3408 accepted

> Breadbox, I know I voted on this proposal.  I'm not sure why my vote got
> listed as abstained.  While it didn't make any difference on this
> proposal, it might on some of the future ones today if there are any
> number of them.
> Please see if you can find my votes (since I voted through the web form I
> don't have any record of them on my machine.)

Proposal 3408 was distributed August 10th at 15:55 EDT.

I have a record of you voting on August 10th at 12:20 EDT, on all
proposals extant at that time (up to Proposal 3405). The next vote
submission from you that I have on record is on August 12th (22:52
EDT), and includes votes on Proposal 3412 on up. Then August 17th,
which starts with Proposal 3422. I have no other submissions from you
in that time period.

If you still believe that your votes were lost, can you give me an
idea of when you submitted them?

breadbox

------------------------------

Date: Wed, 19 Aug 1998 21:54:44 -0400 (EDT)
From: [email-masked] (Aaron V. Humphrey)
Subject: Re: Acka: CFCJ 173 (fwd)

> > Rule 422 states "A message is a public message if and only if it is
> > distributed to all active Players or it is sent to any mailing list
> > indicated as a public forum in the Postal Code, and any actions
> > performed in the message obey all restrictions of the Postal Code for
> > that list."

> > So if all active players were subscribed to _any_ mailing list, even
> > acka-research(I believe), then any message on there would be a public
> > message.

> A message is a public message if it sent to a mailing list marked as a
> public forum by the Postal Code. This is actually true regardless of
> whether all active players are subscribed to a list or not (though it
> is my responsibility to see to it that they are). However, no actions
> (which includes Officer reports) can be done via acka-research.

But I'm parsing Rule 422 as follows:

IF
   (a message is distributed to all active Players)
                   OR
   ((it is sent to any mailing list indicated as a public forum in the
     Postal Code)
                             AND
    (any actions performed in the message obey all restrictions of the
     Postal Code for that list))
THEN
   that message is a public message

So it doesn't matter if it satisfies the Postal Code-related conditions,
which are part of the second half of the OR, if the first half is satisfied
by the message being distributed to all active Players anyway.

I agree that this is not the way it _should_ be, because otherwise it is
theoretically possible for the question of whether a message is a public
message or not to be dependent entirely on a single player's subscription,
so if only one player was not subscribed to acka-research, e could subscribe,
act publicly thereon, and then unsubscribe right away.  So all we need is
for the "all active Players" criterion to apply only if it's not a Postal
Code-endorsed mailing list.

- --
- --Alfvaen(Web page: http://www.connect.ab.ca/~alfvaen/ )
Current Album--Aphex Twin:...I Care Because You Do
Current Book--Tanith Lee:The Book of The Beast
I was on a roll, until I slipped on the butter.

------------------------------

Date: Wed, 19 Aug 1998 22:04:57 -0400 (EDT)
From: David Scheidt <[email-masked]>
Subject: Re: Acka: CFCJ 173 (fwd)

On Wed, 19 Aug 1998, Aaron V. Humphrey wrote:

> But I'm parsing Rule 422 as follows:
> 
> IF
>    (a message is distributed to all active Players)
>                    OR
>    ((it is sent to any mailing list indicated as a public forum in the
>      Postal Code)
>                              AND
>     (any actions performed in the message obey all restrictions of the
>      Postal Code for that list))
> THEN
>    that message is a public message
That is certainly how I parsed the rule.  Otherwise, Acka-chess isn't a
public forum.  I don't subscribe, as I dont' have the time t ohave a n
interest in partychess.  Of course, this does lead to scam
possabilities....

ruufs

------------------------------

Date: Wed, 19 Aug 1998 22:55:05 -0400 (EDT)
From: Brian Raiter <[email-masked]>
Subject: Re: Acka: CFCJ 173 (fwd)

> But I'm parsing Rule 422 as follows:
> 
> IF
>    (a message is distributed to all active Players)
>                    OR
>    ((it is sent to any mailing list indicated as a public forum in the
>      Postal Code)
>                              AND
>     (any actions performed in the message obey all restrictions of the
>      Postal Code for that list))
> THEN
>    that message is a public message
> 
> So it doesn't matter if it satisfies the Postal Code-related conditions,
> which are part of the second half of the OR, if the first half is satisfied
> by the message being distributed to all active Players anyway.
> 
> I agree that this is not the way it _should_ be,

Well, wait. Your parsing of it is not the problem, I think. The
problem mainly seems to be due to what the first clause means by
"distributed". That is, when you send a message to a mailing list, you
just send it to that list. The message then gets *forwarded* to all
active players, by a program. So, mail sent via a
Postmaster-maintained mailing list should never satisfy the second
criterion.

Unfortunately, game custom has developed since that rule was written
which has pretty much obviated that distinction. So, yeah - a rewrite
is in order here.

How about something like:

  If a message is sent to a Postmaster-maintained mailing list, then
  it is a public message if and only if the Postal Code indicates that
  mailing list is a public forum, and any actions attempted in the
  message obey the restrictions outlined in the Postal Code for that
  list.

  A message not sent via a Postmaster-maintained mailing list is a
  public message if and only if it is sent to all active players.

breadbox

------------------------------

Date: Wed, 19 Aug 1998 23:12:27 -0400 (EDT)
From: JT <[email-masked]>
Subject: Re: Acka: Proposal 3408 accepted

On Wed, 19 Aug 1998, Brian Raiter wrote:
>> Breadbox, I know I voted on this proposal.  I'm not sure why my vote got
>> listed as abstained.  While it didn't make any difference on this
>> proposal, it might on some of the future ones today if there are any
>> number of them.
>> Please see if you can find my votes (since I voted through the web form I
>> don't have any record of them on my machine.)
>
>Proposal 3408 was distributed August 10th at 15:55 EDT.
>
>I have a record of you voting on August 10th at 12:20 EDT, on all
>proposals extant at that time (up to Proposal 3405). The next vote
>submission from you that I have on record is on August 12th (22:52
>EDT), and includes votes on Proposal 3412 on up. Then August 17th,
>which starts with Proposal 3422. I have no other submissions from you
>in that time period.

I find it very odd that I would have voted on the 12th and NOT voted on
3408-3411 is all.  I had thought I'd voted on them on the 12th or
thereabouts since I'm usually pretty good about not missing any votes.
However, if that's what you've got a record of, then that's what you've
got a record of and I must have goofed :)

- --JT

[-------------------------------------------------------------------------]
[ Practice random kindness and senseless acts of beauty.                  ]
[ It's hard to seize the day when you must first grapple with the morning ]
[-------------------------------------------------------------------------]

------------------------------

Date: Wed, 19 Aug 1998 23:56:41 -0400 (EDT)
From: [email-masked] (Aaron V. Humphrey)
Subject: Re: Acka: CFCJ 173 (fwd)

> > But I'm parsing Rule 422 as follows:

> > IF
> >    (a message is distributed to all active Players)
> >                    OR
> >    ((it is sent to any mailing list indicated as a public forum in the
> >      Postal Code)
> >                              AND
> >     (any actions performed in the message obey all restrictions of the
> >      Postal Code for that list))
> > THEN
> >    that message is a public message

> > So it doesn't matter if it satisfies the Postal Code-related conditions,
> > which are part of the second half of the OR, if the first half is satisfied
> > by the message being distributed to all active Players anyway.

> > I agree that this is not the way it _should_ be,

> Well, wait. Your parsing of it is not the problem, I think. The
> problem mainly seems to be due to what the first clause means by
> "distributed". That is, when you send a message to a mailing list, you
> just send it to that list. The message then gets *forwarded* to all
> active players, by a program. So, mail sent via a
> Postmaster-maintained mailing list should never satisfy the second
> criterion.

I don't quite understand this paragraph.  The whole point, I believe,
is that a Postmaster-maintained mailing list can be a public forum
_even if not all active players are subscribed to it_.  But _any_
mailing list with all players subscribed to it is also a public
forum.  And thus, a Postal Code-endorsed list with all active players
subscribed doesn't need to satisfy the second criterion, but if it
doesn't have all active players then it must accord with the Postal
Code requirements for the list.

> Unfortunately, game custom has developed since that rule was written
> which has pretty much obviated that distinction. So, yeah - a rewrite
> is in order here.

> How about something like:

>   If a message is sent to a Postmaster-maintained mailing list, then
>   it is a public message if and only if the Postal Code indicates that
>   mailing list is a public forum, and any actions attempted in the
>   message obey the restrictions outlined in the Postal Code for that
>   list.

>   A message not sent via a Postmaster-maintained mailing list is a
>   public message if and only if it is sent to all active players.

Yeah, that's pretty much what I meant.

- --
- --Alfvaen(Web page: http://www.connect.ab.ca/~alfvaen/ )
Current Album--Club Nouveau:Life, Love & Pain
Current Book--Tanith Lee:The Book of The Beast
The fat lady's chances were slim.

------------------------------

End of acka-research-digest V3 #193
***********************************